#ifndef P_NET_DNS4_H
#define P_NET_DNS4_H

#include <libporty/net/network.h>

/* Resolve hostname to IP; returns 0 on success. */
int P_dns4_name_to_IP(unsigned long int *ip, const char *hostname);

/* Resolve IP to hostname; returns 0 on success. */
int P_dns4_IP_to_name(char **hostname, unsigned long int *ip);

/* Returns host's hostname */
char *P_dns4_get_my_name(void);

/* Returns host's IP address */
unsigned long int P_dns4_get_my_IP(void);

/* Returns non-zero if name is a valid IP address */
int P_dns4_is_addr(char *name);


/* Convert ipv4 address to string; string must be long enough (>=16 characers)
   Return 0 on success. */
int P_dns4_IP_to_addr(unsigned long int *ip_in, char *addr_out);

/* Convert ipv4 string to address
   Return 0 on success. */
int P_dns4_addr_to_IP(unsigned long int *ip_out, const char *addr_in);

#endif /* P_NET_DNS4_H */
