#!/bin/sh
chk()
{
	diff -u $1.OUT $1.out && echo "   ...OK" || echo " **** FAILED ****"
}

echo "Testing abgproc..."
./abgproc 2>/dev/null | grep -v "*tick*" | grep -v "^[ \t]*$" > abgproc.out
chk abgproc

echo "Testing adns..."
./adns 2>/dev/null | sed "s/READ: '//" | grep -v "*tick*" | grep -v "^[' \t]*$" | sed "s/D name [^ \t]* cookie3:127.0.0.1/D name SOMETHING cookie3:127.0.0.1/" > adns.out
chk adns

echo "Testing adns_helper..."
./adns_helper 2>/dev/null | grep -v "*tick*" | grep -v "^[ \t]*$" | sed "s/Answer: .[0-9]*. [^ \t]* (null) (cookie3:127.0.0.1)/Answer: [0] SOMETHING (null) (cookie3:127.0.0.1)/" > adns_helper.out
chk adns_helper

echo "Testing host_flist..."
./host_flist 2>/dev/null | sort > host_flist.out
chk host_flist

echo "Testing host_pointers..."
./host_pointers 2>/dev/null > host_pointers.out
chk host_pointers

echo "Testing host_time..."
./host_time 2>/dev/null > host_time.out
chk host_time


echo "Testing net_local..."
./net_local 2>/dev/null > net_local.out
chk net_local

echo "Testing util_buf..."
./util_buf 2>/dev/null > util_buf.out
chk util_buf


